void ApplyMigration(ref migrationState) {
	
Log_info("Smart Start Mod Loaded into the game!");

ExpandItemsArray();

//ReInitStdGun(index, id, model, texture, picture, rarity, min.level, price, min.damage, max.damage, weight, number of charges, quality);

ReInitStdGun(0, "pistol999", "revolver", "ITEMS_37", 12, 0.0, 1, 25000, 150.0, 320.0, 2.5, 6, B_UNIQUE); // строевой пистолет

//ReInitGunExt(id,	sAttr,  sBullet,  sGunPowder, DmgMin_NC, DmgMax_NC, DmgMin_C, DmgMax_C, EnergyP_NC, EnergyP_C, Stun_NC, Stun_C, MultiDamage, MisFire, SelfDamage, Explosion,Accuracy,ChargeSpeed,isDefault);

ReInitGunExt( "pistol999", "t1", "cartridge", "",  150.0, 300.0, 150.0, 300.0, 5.0,  0.0, 1, 1, 0, 0, 0, 0, 95, 8, 0); 
ReInitGunExt( "pistol999", "t2", "bullet", "gunpowder", 150.0, 300.0, 150.0, 300.0, 5.0, 0.0, 1, 1, 0, 0, 0, 0, 85, 12, 1); 

if(CheckAttribute(pchar,"alchemy.bullet_double.isKnown"))
	{
		ReInitGunExt(	"pistol999", "t3", "bullet_double", "",	150.0, 300.0, 150.0, 300.0, 10.0, 0.0, 1, 1, 0, 0, 0, 0, 85, 16, 0); 	
	}
}
void ReInitGunExt(string id,			
				string sAttr,       
				string sBullet,     
				string sGunPowder,  
				float  DmgMin_NC,   
				float  DmgMax_NC,   
				float  DmgMin_C,    
				float  DmgMax_C,    
				float  EnergyP_NC,  
				float  EnergyP_C,   
				bool   Stun_NC,     
				bool   Stun_C,      
				bool   MultiDamage, 
				int    MisFire,     
				bool   SelfDamage,  
				bool   Explosion,   
				float  Accuracy,    
				int    ChargeSpeed, 
				bool   isDefault )
{
	ref gun = ItemsFromID(id);
	gun.type.(sAttr).bullet 		= sBullet;
	gun.type.(sAttr).gunpowder 		= sGunPowder;
	gun.type.(sAttr).DmgMin_NC		= DmgMin_NC;
	gun.type.(sAttr).DmgMax_NC		= DmgMax_NC;
	gun.type.(sAttr).DmgMin_C		= DmgMin_C;
	gun.type.(sAttr).DmgMax_C		= DmgMax_NC;
	gun.type.(sAttr).EnergyP_NC		= EnergyP_NC;
	gun.type.(sAttr).EnergyP_C		= EnergyP_C;
	gun.type.(sAttr).Stun_NC		= Stun_NC;
	gun.type.(sAttr).Stun_C			= Stun_C;
	gun.type.(sAttr).multidmg       = MultiDamage;
	gun.type.(sAttr).misfire        = MisFire;
	gun.type.(sAttr).SelfDamage     = SelfDamage;
	gun.type.(sAttr).Explosion      = Explosion;
	gun.type.(sAttr).Accuracy       = Accuracy;
	gun.type.(sAttr).ChargeSpeed    = ChargeSpeed;
	gun.type.(sAttr).Default        = isDefault;
	
	if(Stun_NC || Stun_C) gun.stun = true;
}
void ReInitStdGun(	int		ItemIndex, 
				string 	id, 
				string 	ModelID, 
				string 	picTexture,
				int		picIndex, 
				float	Rare, 
				int 	MinLevel, 
				int		Price, 
				float 	DmgMin, 
				float 	DmgMax, 
				float 	Weight,
				int 	Charges, 
				int 	Quality )
{
	ref	gun;
	int	gunIndex;
	
	gunIndex = ItemIndex;
	makeref(gun, Items[gunIndex]);
	
	gun.id				= id;		
	gun.groupID			= GUN_ITEM_TYPE;
	gun.name			= "itmname_" + id;
	gun.describe		= "itmdescr_" + id;		
	gun.model			= ModelID;
	gun.folder 			= "ammo";
	gun.chargeQ			= Charges;
	gun.picTexture		= picTexture;
	gun.picIndex		= picIndex;
	gun.dmg_min			= DmgMin;
	gun.dmg_max			= DmgMax;
	gun.price			= Price;	
	gun.ItemType 		= "WEAPON";
	gun.rare 			= Rare;
	gun.quality 		= Quality;
	gun.minlevel 		= MinLevel;
	gun.Weight 			= Weight;
	gun.ChargeSpeed 	= 10.0; // by default
	gun.accuracy 		= 50.0; // by default
	gun.TradeType 		= ITEM_TRADE_AMMUNITION;
}